Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.flagstone.transform
Class FSMorphSolidFill

    java.lang.Object
      com.flagstone.transform.FSTransformObject
          com.flagstone.transform.FSFillStyle
              com.flagstone.transform.FSMorphSolidFill

All Implemented Interfaces:
  java.lang.Cloneable

    public class FSMorphSolidFill

extends FSFillStyle

FSMorphSolidFill defines the solid colours that are used to fill a morphing shape at the start and end of the morphing process.

Attributes
type | Identifies the data structure when it is encoded.
start | The colour applied to the shape at the start of the morphing process.
end | The colour applied to the shape at the end of the morphing process.

The parent class, FSFillStyle allows the type to be set. This should only be used for manipulating bitmap and gradient fill styles.

The FSMorphSolidFill object is added to a FSDefineMorphShape so both the start colour and end colour should have a value specified for the alpha channel that defines how transparent the colour is.

     FSColor red = new FSColor(255, 0, 0, 128);

     FSColor green = new FSColor(0, 255, 0, 128);

     FSMorphSolidFill fill = new FSMorphSolidFill(red, green);

# History

The FSMorphSolidFill class represents the MorphFillStyle structure from the Macromedia Flash (SWF) File Format Specification. It was introduced in Flash 3.

Field Summary

Fields inherited from class com.flagstone.transform.FSFillStyle
`Clipped, Linear, Radial, Solid, Tiled, type, Unsmoothed_Clipped, Unsmoothed_Tiled`

Constructor Summary
`FSMorphSolidFill(FSCoder coder)` Construct an FSMorphSolidFill object, initialising it with values decoded from an encoded object.
`FSMorphSolidFill(FSColor aStartColor, FSColor anEndColor)` Constructs an FSMorphSolidFill object specifying the starting and ending colours.
`FSMorphSolidFill(FSMorphSolidFill obj)` Constructs an FSMorphSolidFill object by copying values from an existing object.

Method Summary
`void` | `appendDescription(java.lang.StringBuffer buffer, int depth)` AppendDescription is used to present a string description of the object including all nested objects up to a specified depth.
`java.lang.Object` | `clone()` Creates a deep copy of the entire object.
`void` | `decode(FSCoder coder)`
`void` | `encode(FSCoder coder)`
`boolean` | `equals(java.lang.Object anObject)` Returns true if anObject is equal to this one.
`FSColor` | `getEndColor()` Gets the colour at the end of the morphing process.
`FSColor` | `getStartColor()` Gets the colour at the start of the morphing process.
`int` | `length(FSCoder coder)`
`void` | `setEndColor(FSColor aColor)` Sets the colour at the end of the morphing process.
`void` | `setStartColor(FSColor aColor)` Sets the colour at the start of the morphing process.

Methods inherited from class com.flagstone.transform.FSFillStyle
`getType, setType`

Methods inherited from class com.flagstone.transform.FSTransformObject
`name, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FSMorphSolidFill

    public FSMorphSolidFill(FSCoder coder)

  Construct an FSMorphSolidFill object, initialising it with values decoded from an encoded object.

  Parameters:
    `coder` - an FSCoder containing the binary data.

### FSMorphSolidFill

    public FSMorphSolidFill(FSColor aStartColor,
                            FSColor anEndColor)

  Constructs an FSMorphSolidFill object specifying the starting and ending colours.

  Parameters:
    `aStartColor` - the colour at the start of the morphing process.
    `anEndColor` - the colour at the end of the morphing process.

### FSMorphSolidFill

    public FSMorphSolidFill(FSMorphSolidFill obj)

  Constructs an FSMorphSolidFill object by copying values from an existing object.

  Parameters:
    `obj` - an FSMorphSolidFill object.

Method Detail

### getStartColor

    public FSColor getStartColor()

  Gets the colour at the start of the morphing process.

  Returns:
    the starting colour.

### getEndColor

    public FSColor getEndColor()

  Gets the colour at the end of the morphing process.

  Returns:
    the end colour.

### setStartColor

    public void setStartColor(FSColor aColor)

  Sets the colour at the start of the morphing process.

  Parameters:
    `aColor` - the start colour.

### setEndColor

    public void setEndColor(FSColor aColor)

  Sets the colour at the end of the morphing process.

  Parameters:
    `aColor` - the end colour.

### clone

    public java.lang.Object clone()

  Description copied from class: `FSTransformObject`
  Creates a deep copy of the entire object.

  Overrides:
    `clone` in class `FSTransformObject`
  Returns:
    a copy of the object.

### equals

    public boolean equals(java.lang.Object anObject)

  Description copied from class: `FSFillStyle`
  Returns true if anObject is equal to this one. Objects are considered equal if they would generate identical binary data when they are encoded to a Flash file.

  Overrides:
    `equals` in class `FSFillStyle`
  Returns:
    true if this object would be identical to anObject when encoded.

### appendDescription

    public void appendDescription(java.lang.StringBuffer buffer,
                                  int depth)

  Description copied from class: `FSTransformObject`
  AppendDescription is used to present a string description of the object including all nested objects up to a specified depth. This method provide a more controlled way of creating a string representation of an object since large objects such as font or shape definitions can contain dozens of nested objects. The representation of the object is appended to the StringBuffer, showing the name of the class and values of the attributes it contains. If the object contains any attributes that are objects then the object graph will be traversed up to the specified depth. If objects are nested at a level less than specified depth then the full string representation of the object is displayed. For objects at the specified depth only the name of the class is displayed. Any objects below this depth are not displayed.

  Specified by:
    `appendDescription` in class `FSTransformObject`
  Parameters:
    `buffer` - a StringBuffer to which the description of each object is appended.
    `depth` - the maximum level of nesting up to which objects will be displayed.

### length

    public int length(FSCoder coder)

  Overrides:
    `length` in class `FSFillStyle`

### encode

    public void encode(FSCoder coder)

  Overrides:
    `encode` in class `FSFillStyle`

### decode

    public void decode(FSCoder coder)

  Overrides:
    `decode` in class `FSFillStyle`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD